package com.wrongcoder.ld48.lowmemory.core;

import com.badlogic.gdx.assets.loaders.SkinLoader;
import com.badlogic.gdx.audio.Sound;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

public class AssetManager extends com.badlogic.gdx.assets.AssetManager {

	public static final String textures = "textures.atlas";
	public static final String ui = "ui.json";
	public static final String thrusters = "thruster1.wav";
	public static final String pickup = "pickup.wav";
	public static final String recording = "recording.wav";
	public static final String warpout = "warpout.wav";

	public void queueAssets() {
		// Always load the loading screen assets first
		LoadingScreen.queueAssets(this);

		// Shared asset loaders and systems
		Fonts.queueAssets(this);

		// Other assets that have no home
		load(textures, TextureAtlas.class);
		load(ui, Skin.class, new SkinLoader.SkinParameter(textures));
		load(thrusters, Sound.class);
		load(pickup, Sound.class);
		load(recording, Sound.class);
		load(warpout, Sound.class);
	}

}
