package com.wrongcoder.ld48.lowmemory.core;

import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

public abstract class Screen implements com.badlogic.gdx.Screen {

	protected final Registry r;

	public Screen(final Registry r) {
		this.r = r;
	}

	@Override
	public void resize(final int width, final int height) {
	}

	@Override
	public void show() {
	}

	@Override
	public void hide() {
	}

	@Override
	public void pause() {
	}

	@Override
	public void resume() {
	}

	@Override
	public void dispose() {
	}

	public static void drawCentred(final BitmapFont font, final SpriteBatch batch, final String text, final float x, final float y) {
		final BitmapFont.TextBounds bounds = font.getBounds(text);
		final float centreX = x - bounds.width / 2;
		final float centreY = y + bounds.height / 2;
		font.draw(batch, text, centreX, centreY);
	}

	public static void drawShadowed(final BitmapFont font, final SpriteBatch batch, final String text, final float x, final float y) {
		font.setColor(0, 0, 0, 0.8f);
		font.draw(batch, text, x + 1, y - 1);
		font.setColor(1, 1, 1, 1);
		font.draw(batch, text, x, y);
	}

	public static void drawShadowedCentred(final BitmapFont font, final SpriteBatch batch, final String text, final float x, final float y) {
		final BitmapFont.TextBounds bounds = font.getBounds(text);
		final float centreX = x - bounds.width / 2;
		final float centreY = y + bounds.height / 2;
		font.setColor(0, 0, 0, 0.8f);
		font.draw(batch, text, centreX + 1, centreY - 1);
		font.setColor(1, 1, 1, 1);
		font.draw(batch, text, centreX, centreY);
	}

}
