package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;

public abstract class AbstractPickupScreenObject extends AbstractScreenObject {

	private final Sprite pickupSprite;
	private final float spriteWidth, spriteHeight;
	private float x, y;
	private boolean available = true;

	public AbstractPickupScreenObject(final Sprite pickupSprite) {
		this.pickupSprite = pickupSprite;
		spriteWidth = 16 * AbstractLevelScreen.pixelsInMetres;
		spriteHeight = 16 * AbstractLevelScreen.pixelsInMetres;
	}

	@Override
	public void draw(final float alpha, final float delta, final SpriteBatch batch) {
		if (available) {
			batch.draw(pickupSprite, x, y, spriteWidth, spriteHeight);
		}
	}

	@Override
	public void draw(final float alpha, final float delta, final ShapeRenderer shapeRenderer) {
	}

	@Override
	public void move(final Vector2 worldPosition) {
		super.move(worldPosition);
		x = nextX - spriteWidth / 2;
		y = nextY - spriteHeight / 2;
	}

	public abstract int getFuelValue();

	public boolean isAvailable() {
		return available;
	}

	public int consume() {
		available = false;
		return getFuelValue();
	}

}
