package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;

public abstract class AbstractScreenObject {

	protected float prevX, prevY;
	protected float nextX, nextY;

	public void move(final Vector2 worldPosition) {
		prevX = nextX;
		prevY = nextY;
		nextX = worldPosition.x;
		nextY = worldPosition.y;
	}

	public abstract void draw(final float alpha, final float delta, final SpriteBatch batch);
	public abstract void draw(final float alpha, final float delta, final ShapeRenderer shapeRenderer);

}
