package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;

public class ExitDoor2ScreenObject extends ExitDoorScreenObject {

	private final Animation door2;
	private final float spriteWidth, spriteHeight;

	private float x, y;
	private float animationStateTime = 0;

	public ExitDoor2ScreenObject(final Animation door2) {
		super(null, null);
		this.door2 = door2;
		spriteWidth = 32 * AbstractLevelScreen.pixelsInMetres;
		spriteHeight = 48 * AbstractLevelScreen.pixelsInMetres;
	}

	@Override
	public void drawEarly(final SpriteBatch batch) {
		batch.draw(door2.getKeyFrame(animationStateTime), x, y, spriteWidth, spriteHeight);
	}

	@Override
	public void draw(final float alpha, final float delta, final SpriteBatch batch) {
		animationStateTime += delta;
	}

	@Override
	public void draw(final float alpha, final float delta, final ShapeRenderer shapeRenderer) {
	}

	@Override
	public void move(final Vector2 worldPosition) {
		super.move(worldPosition);
		x = nextX - spriteWidth / 2;
		y = nextY - spriteHeight / 2;
	}

}
