package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;

public class ExitDoorScreenObject extends AbstractScreenObject {

	private final Animation doorFrame;
	private final Animation doorInside;
	private final float spriteWidth, spriteHeight;

	private float x, y;
	private float animationStateTime = 0;

	public ExitDoorScreenObject(final Animation doorFrame, final Animation doorInside) {
		this.doorFrame = doorFrame;
		this.doorInside = doorInside;
		spriteWidth = 32 * AbstractLevelScreen.pixelsInMetres;
		spriteHeight = 32 * AbstractLevelScreen.pixelsInMetres;
	}

	public void drawEarly(final SpriteBatch batch) {
		batch.draw(doorFrame.getKeyFrame(animationStateTime), x, y, spriteWidth, spriteHeight);
		batch.draw(doorInside.getKeyFrame(animationStateTime), x, y, spriteWidth, spriteHeight);
	}

	@Override
	public void draw(final float alpha, final float delta, final SpriteBatch batch) {
		animationStateTime += delta;
	}

	@Override
	public void draw(final float alpha, final float delta, final ShapeRenderer shapeRenderer) {
	}

	@Override
	public void move(final Vector2 worldPosition) {
		super.move(worldPosition);
		x = nextX - spriteWidth / 2;
		y = nextY - spriteHeight / 2;
	}

}
