package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL10;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import com.wrongcoder.ld48.lowmemory.core.AssetManager;
import com.wrongcoder.ld48.lowmemory.core.Fonts;
import com.wrongcoder.ld48.lowmemory.core.MainMenuScreen;
import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class GameWinScreen extends Screen {

	private Stage stage;
	private SpriteBatch batch;
	private BitmapFont font;

	public GameWinScreen(final Registry r) {
		super(r);
	}

	@Override
	public void show() {
		r.scoreTransmitter.transmitGameWon();
		r.setGameWinFlag();

		stage = new Stage();
		batch = new SpriteBatch();
		font = r.assetManager.get(Fonts.pixelFont);

		final Skin uiSkin = r.assetManager.get(AssetManager.ui);

		final TextButton button = new TextButton("Hail", uiSkin);
		button.setSize(300, 48);
		button.setPosition(250, 110);
		button.addListener(new ChangeListener() {
			@Override
			public void changed(final ChangeEvent event, final Actor actor) {
				r.game.setScreen(new MainMenuScreen(r));
			}
		});
		stage.addActor(button);

		Gdx.input.setInputProcessor(stage);
	}

	@Override
	public void hide() {
		stage.dispose();
		batch.dispose();
		Gdx.input.setInputProcessor(null);
	}

	@Override
	public void render(final float delta) {
		Gdx.gl.glClearColor(0, 0, 0, 0);
		Gdx.gl.glClear(GL10.GL_COLOR_BUFFER_BIT);

		batch.begin();
		drawCentred(font, batch, "CONGRATULATIONS", Registry.WIDTH / 2, 485);
		drawCentred(font, batch, "-----------------------", Registry.WIDTH / 2, 465);
		drawCentred(font, batch, "Robot has escaped from the human trap", Registry.WIDTH / 2, 390);
		drawCentred(font, batch, "Earth will be consumed and turned into fuel", Registry.WIDTH / 2, 335);
		drawCentred(font, batch, "All hail the mighty Roboticus!", Registry.WIDTH / 2, 220);
		batch.end();

		stage.draw();
	}

}
