package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.wrongcoder.ld48.lowmemory.core.Fonts;
import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

// The Last Level
public class Level00 extends AbstractLevelScreen {

	private BitmapFont font;

	public Level00(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level00(r);
	}

	@Override
	public void show() {
		super.show();
		font = r.assetManager.get(Fonts.sansMediumBoldFont);
	}

	@Override
	protected void initLevel() {
		createRobot(80, 24, 200);

		createPlatform(160, 159, 8, 150); // opening area

		createPlatform(305, 375, 153, 8); // ceiling above middle area

		createCanPickup(515, 390);
		createCanPickup(530, 390);
		createCanPickup(545, 390);
		createCanPickup(745, 20);
		createCanPickup(760, 20);
		createApplePickup(790, 271);

		createPlatform(620, 250, 180, 8); // ceiling
		createPlatform(450, 107, 8, 98);  // wall
		createPlatform(630, 335, 148, 45); // sign
		createExitDoor2(630, 31);
	}

	@Override
	public void render(final float delta) {
		super.render(delta);
		hudBatch.begin();
		font.setColor(0, 0, 0, 1);
		drawCentred(font, hudBatch, "ALIEN CONTAINMENT FACILITY", 630, 415);
		drawCentred(font, hudBatch, "DOOR MUST REMAIN", 630, 380);
		drawCentred(font, hudBatch, "LOCKED AT ALL TIMES", 630, 355);
		hudBatch.end();
	}

	@Override
	protected Screen createNextLevel() {
		return new GameWinScreen(r);
	}

	@Override
	public String getLevelId() {
		return "00";
	}

	@Override
	public String getLevelTitle() {
		return "Ground Level";
	}

}
