package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Level02 extends AbstractLevelScreen {

	public Level02(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Level02(r);
	}

	@Override
	protected void initLevel() {
		createRobot(300, 24, 160);
		createPlatform(600, 64, 150, 8);
		createCanPickup(475, 88);
		createCanPickup(525, 88);
		createCanPickup(575, 88);
		createCanPickup(625, 88);
		createApplePickup(50, 24);
		createExitDoor(700, 88);
	}

	@Override
	protected Screen createNextLevel() {
		return new Level03(r);
	}

	@Override
	public String getLevelId() {
		return "02";
	}

	@Override
	public String getLevelTitle() {
		return "Level 2";
	}

}
