package com.wrongcoder.ld48.lowmemory.core.game;

import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;

public class PlatformScreenObject extends AbstractScreenObject {

	protected final float width, height;
	protected float x, y;

	public PlatformScreenObject(final float halfWorldWidth, final float halfWorldHeight) {
		this.width = halfWorldWidth * 2;
		this.height = halfWorldHeight * 2;
	}

	@Override
	public void draw(final float alpha, final float delta, final SpriteBatch batch) {
	}

	@Override
	public void draw(final float alpha, final float delta, final ShapeRenderer shapeRenderer) {
		shapeRenderer.begin(ShapeRenderer.ShapeType.Filled);
		shapeRenderer.setColor(0, 0, 0, 0.7f);
		shapeRenderer.rect(x + AbstractLevelScreen.pixelsInMetres, y - AbstractLevelScreen.pixelsInMetres, width, height);
		shapeRenderer.setColor(0.75f, 0.75f, 0.75f, 1);
		shapeRenderer.rect(x, y, width, height);
		shapeRenderer.setColor(0.6f, 0.6f, 0.6f, 1);
		shapeRenderer.rect(x + AbstractLevelScreen.pixelsInMetres, y, width - AbstractLevelScreen.pixelsInMetres, height - AbstractLevelScreen.pixelsInMetres);
		shapeRenderer.end();
	}

	@Override
	public void move(final Vector2 worldPosition) {
		super.move(worldPosition);
		x = nextX - width / 2;
		y = nextY - height / 2;
	}

}
