package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Tutorial3Screen extends AbstractLevelScreen {

	public Tutorial3Screen(final Registry r) {
		super(r);
	}

	@Override
	protected void initLevel() {
		createRobot(300, 24, 180);
		createExitDoor(500, 24);
	}

	@Override
	public void render(final float delta) {
		super.render(delta);

		if (getRobot().getFuel() > 0 && getState() == State.READY) {
			hudBatch.begin();
			pixelFont.draw(hudBatch, "Tutorial", 25, 400);
			pixelFont.draw(hudBatch, "Press Right Arrow ->", 25, 375);
			pixelFont.draw(hudBatch, "Move the Robot", 100, 100);
			pixelFont.draw(hudBatch, "into the Portal", 540, 100);
			hudBatch.end();
		}
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Tutorial3Screen(r);
	}

	@Override
	protected Screen createNextLevel() {
		return new Tutorial4Screen(r);
	}

	@Override
	public String getLevelId() {
		return "tutorial3";
	}

	@Override
	public String getLevelTitle() {
		return "Tutorial";
	}

}
