package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Tutorial4Screen extends AbstractLevelScreen {

	public Tutorial4Screen(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Tutorial4Screen(r);
	}

	@Override
	protected void initLevel() {
		createRobot(250, 24, 40);
		createExitDoor(550, 24);
		createApplePickup(320, 24);
		createCanPickup(370, 24);
		createCanPickup(420, 24);
	}

	@Override
	public void render(final float delta) {
		super.render(delta);

		if (getRobot().getFuel() > 0 && getState() == State.READY) {
			hudBatch.begin();
			pixelFont.draw(hudBatch, "Tutorial", 25, 400);
			pixelFont.draw(hudBatch, "Pick up garbage for fuel", 25, 375);
			hudBatch.end();
		}
	}

	@Override
	protected Screen createNextLevel() {
		return new Tutorial5Screen(r);
	}

	@Override
	public String getLevelId() {
		return "tutorial4";
	}

	@Override
	public String getLevelTitle() {
		return "Tutorial";
	}

}
