package com.wrongcoder.ld48.lowmemory.core.game;

import com.wrongcoder.ld48.lowmemory.core.Registry;
import com.wrongcoder.ld48.lowmemory.core.Screen;

public class Tutorial5Screen extends AbstractLevelScreen {

	public Tutorial5Screen(final Registry r) {
		super(r);
	}

	@Override
	protected Screen makeRestartedScreen() {
		return new Tutorial5Screen(r);
	}

	@Override
	protected void initLevel() {
		createRobot(290, 24, 85);
		createExitDoor(510, 24);
		createApplePickup(300, 80);
		createCanPickup(350, 90);
		createApplePickup(400, 80);
		createCanPickup(450, 70);
		createApplePickup(500, 50);
		createPlatform(400, 24, 6, 10);
	}

	@Override
	public void render(final float delta) {
		super.render(delta);

		if (getRobot().getFuel() > 0 && getState() == State.READY) {
			hudBatch.begin();
			pixelFont.draw(hudBatch, "Tutorial", 25, 400);
			pixelFont.draw(hudBatch, "Fly over obstacles", 25, 375);
			pixelFont.draw(hudBatch, "(Hint: Try flying up, then over.)", 25, 325);
			pixelFont.draw(hudBatch, "<- Start Game", 550, 90);
			hudBatch.end();
		}
	}

	@Override
	protected Screen createNextLevel() {
		return new Level01(r);
	}

	@Override
	public String getLevelId() {
		return "tutorial5";
	}

	@Override
	public String getLevelTitle() {
		return "Tutorial";
	}

}
